import type { Store } from 'redux';
import React from 'react';
import type { ExplainPlanModalState } from '../stores/explain-plan-modal-store';
export type ExplainPlanModalProps = Partial<Pick<ExplainPlanModalState, 'isModalOpen' | 'status' | 'explainPlan' | 'rawExplainPlan' | 'error'>> & {
    onModalClose(): void;
};
export declare const ExplainPlanModal: React.FunctionComponent<ExplainPlanModalProps>;
export default function ExplainPlanModalPlugin({ store }: {
    store: Store;
}): JSX.Element;
//# sourceMappingURL=explain-plan-modal.d.ts.map